/*Главное меню*/
.main_menu_container {padding: 0!important;}
.main_menu .root-item-selected {text-decoration: underline;}
.main_menu > ul  {
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    width: 100%;
    height: 65px;
    font-size: 1.05rem;
    text-align: center;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
}
.main_menu > ul > li {flex-grow: 1}
.main_menu li 
{
    float: left;
    box-sizing: border-box;
    transition: all 0.2s ease 0s;
    list-style: none;
    height: 100%;
    position: relative;
}
.main_menu li > a {
    line-height: 60px;
    color: #FFFFFF;
    width: 100%;
    box-sizing: border-box;
    display: block;
    padding: 0 25px;
    font-size: 0.90rem;
    text-decoration: none;
    position: relative;
    z-index: 1;
    height: 100%;
    font-weight: 500;
    white-space: nowrap;
}
.main_menu ul li ul li a {padding: 0 30px;}
.main_menu li.has-child > a {padding: 0 25px;}
.main_menu li.has-child > a > svg {margin-left: 5px; vertical-align: middle;}


.main_menu > ul > li ul .item-selected a {text-decoration: underline;}
.main_menu li.has-child:hover > a > svg {
    -ms-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -moz-transform: rotate(180deg);

}

.main_menu li:hover > ul {display: block;} 
.main_menu li ul, .main_menu li ul li ul {
    position: absolute;
    display: none;
    z-index: 500;
    height: auto;
    text-align: left;
}
.main_menu li ul {top: auto; min-width: 100%; box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.3); border-radius: 12px}
.main_menu li ul li ul {left: 100%; top: 0; }
.main_menu li.last_visible ul li ul {right: 100%; left: auto;}
.main_menu li ul li {width: 100%; white-space: nowrap;}
.main_menu li ul li a {background-color: #fafafa; color: #000000!important; border-bottom: 1px solid #dfdfdf;}
.main_menu li ul li:hover > a {background-color: #f3f4f6; color: var(--TEXT_COLOR)!important}
.main_menu li ul li:last-child a {border-bottom: none;}
.main_menu li ul li a:hover {text-decoration: underline;}
.main_menu li ul li.has-child > a:hover {text-decoration: none!important;}

.main_menu a.parent::after {position: absolute; top: 25px; right: 5px; content: ""; display: block !important; width: 10px; height: 7px; background: url('../images/menu/arrow.gif') 0px 0px no-repeat;}
.main_menu_container .btn {
    position: absolute;
    right: 0;
    top: 8px;
}
.main_menu ul > li {transition: background 0.2s ease-out 0s; background-position: center center;}
.main_menu > ul > li:hover > a, .main_menu > ul > li.active > a {color: #FFF; text-decoration: underline;}

.main_menu li.more_items {flex: 0 0 65px;}
.main_menu li.more_items svg {height: 100%; margin-top: -2px;}
.main_menu li.more_items > ul, .main_menu li:last-child > ul {right: 0;}


/*----------------Цвета меню----------------*/
/*Прозрачное*/
.main_menu_container.css_trans .main_menu li > a, .main_menu_container.css_light .main_menu li > a  {color: var(--TEXT_COLOR)}
.main_menu_container.css_color .main_menu > ul > li > a svg path {stroke: #FFF;}
.main_menu_container.css_color .main_menu li a:hover, .main_menu_container.css_color .main_menu li a.root-item-selected {text-decoration: none;}
.main_menu_container.css_trans .more_items svg circle {fill: var(--TEXT_COLOR)!important;}

/*Цветное*/
.main_menu_container.css_color {background-color: var(--OPTION_BASE_COLOR);}
.main_menu_container.css_color .main_menu > ul > li:hover > a, 
.main_menu_container.css_color .main_menu > ul > li.active > a, 
.main_menu_container.css_color .main_menu > ul > li > a.active 
{text-decoration: none;  background-color: var(--OPTION_BASE_COLOR_D);}

/*Темное*/
.main_menu_container.css_dark {padding: 0!important; background-color: #333333;}
.main_menu_container.css_dark .main_menu > ul > li:hover > a, .main_menu_container.css_dark .main_menu > ul > li > a.active {text-decoration: none; background-color: #556170;}
.main_menu_container.css_dark .main_menu > ul > li > a svg path {stroke: #FFF;}

/*Светлое*/
.main_menu_container.css_light {padding: 0!important; background-color: #FFF; border-top: 1px solid #ECECEC; border-bottom: 1px solid #ECECEC;}
.main_menu_container.css_light .main_menu li > a {color: var(--TEXT_COLOR)}
.main_menu_container.css_light .main_menu > ul > li:hover > a, .main_menu_container.css_light .main_menu > ul > li.active > a {text-decoration: none; background-color: #FFF; color: var(--OPTION_BASE_COLOR);}
.main_menu_container.css_light .more_items svg circle {fill: var(--TEXT_COLOR)!important;}
.main_menu_container.css_light .main_menu > ul > li > a:hover svg path {stroke: var(--OPTION_BASE_COLOR)}

.main_menu_container.css_light .main_menu li > a::after
{
  position: absolute;
  transition: .6s cubic-bezier(0.165,0.84,0.44,1);
  width: 100%;
  content: "";
  display: block;
  height: 1px;
  background-color: var(--OPTION_BASE_COLOR);
  top: 0;
  transform: scaleX(0) translate(0,0);
}
.main_menu_container.css_light .main_menu li > a::before  {top: auto; bottom: 0px;}
.main_menu_container.css_light .main_menu > ul > li:hover > a::after{left: 0;transform: scaleX(1) translate(0,0);}

.main_menu_container.css_light .main_menu li ul li a {background-color: #FFF;}


/*Шапка тип 5*/
.header_type_5 .main_menu_container {
    height: 100%;
    display: -ms-flexbox !important;
    display: flex !important;
    -ms-flex-positive: 1 !important;
    flex-grow: 1 !important;
}
.header_type_5 .main_menu_container.css_light {border: none!important}
.header_type_5 .mobile_menu {
    //display: none;
    position: relative;
    color: #FFFFFF;
    text-align: left;
    line-height: 55px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    cursor: pointer;
    margin-right: 5px;
}
.header_type_5 .mobile_menu .icon {width: 25px;}
.header_type_5 .mobile_menu a {color: var(--TEXT_COLOR)!important}


header.header_type_5.css_color .mobile_menu .icon::after, 
header.header_type_5.css_color .mobile_menu .icon::before, 
header.header_type_5.css_color .mobile_menu .icon .button, 
header.header_type_5.css_dark .mobile_menu .icon::after, 
header.header_type_5.css_dark .mobile_menu .icon::before, 
header.header_type_5.css_dark .mobile_menu .icon .button 
{background-color: #FFF;} 


